#!/bin/sh

#
# Test if rsync env variable exists
#
if [ -z $RSYNC_MODULE_NAME ]; then
    echo "Error this scripts has to be called by rsync"
    exit 2
fi

if [ -z $RSYNC_REQUEST ]; then
    echo "Error this scripts has to be called by rsync"
    exit 2
fi

if [ -z $RSYNC_MODULE_PATH ]; then
    echo "Error this scripts has to be called by rsync"
    exit 2
fi

if [ -z $1 ]; then
    echo "Error this scripts has to be called by rsync"
    exit 2
fi

if [ ! -x $1/bin/arkrsyncd ]; then
    echo "File not found"
    exit 2
fi

$1/bin/arkrsyncd -pre

exit $?
